Skip to main content
`Ctrl`+`K`

# hipsparseLtMatDescriptor_t Struct Reference

hipSPARSELt: hipsparseLtMatDescriptor_t Struct Reference
Data Fields
hipsparseLtMatDescriptor_t Struct Reference
Data types

Descriptor of the matrix. More...

`#include <hipsparselt.h>`

## Data Fields

uint8_t | data [11024]

## Detailed Description

Descriptor of the matrix.

The hipSPARSELt matrix descriptor is a structure holding all properties of a matrix. It must be initialized using hipsparseLtDenseDescriptorInit and the returned descriptor must be passed to all subsequent library calls that involve the matrix. It should be destroyed at the end using hipsparseLtMatDescriptorDestroy.

## Field Documentation

## ◆ data

uint8_t hipsparseLtMatDescriptor_t::data[11024]

The documentation for this struct was generated from the following file:

- /build/hipsparselt-2uLnx3/hipsparselt-7.2.4+ds/library/include/hipsparselt.h